Delete a deal

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/deals-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Deals API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/deals-api/mcp"
  }
}

Close
DELETE /deals/{dealId}

Deletes a deal based on its deal id.

Responses

  • 200 application/json

    Successfully deleted a deal.

    Hide response attributes Show response attributes object
    • id string(uuid)
    • version integer(int32)
    • createdTimestamp string(date-time)
    • modifiedTimestamp string(date-time)
    • culture string
    • number string
    • mlsNumber string
    • statusCode string
    • classCode string
    • name string
    • addressStreetNumber string
    • addressStreetName string
    • addressStreetDirection string
    • addressUnitNumber string
    • addressCity string
    • addressProvinceCode string
    • addressPostalCode string
    • addressCountryCode string
    • offerDate string(date)
    • closeDate string(date)
    • entryDate string(date)
    • finalizeDate string(date)
    • firmDate string(date)
    • closePrice number(float)
    • legalDescription string
    • classification object
      Hide classification attributes Show classification attributes object
      • id string(uuid)
      • createdTimestamp string(date-time)
      • modifiedTimestamp string(date-time)
      • code string
      • name string
      • endTypeCode string
      • endCount string
    • propertyType object
      Hide propertyType attributes Show propertyType attributes object
      • id string(uuid)
      • createdTimestamp string(date-time)
      • modifiedTimestamp string(date-time)
      • code string
      • name string
      • shortName string
      • classCode string
    • businessContacts array
    • client-contacts array
    • conditions array
    • deposits array
    • externalAgents array
    • tiers array
  • 400

    Invalid request. See response body for details.

  • 401

    Unauthorized request. See response body for details.

  • 403

    Permission denied. See response body for details.

  • 404 application/json

    Deal not found.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 500

    Unknown error. See response body for details.

DELETE /deals/{dealId}
curl \
 --request DELETE 'http://api.example.com/deals/{dealId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "string",
  "version": 42,
  "createdTimestamp": "2026-05-04T09:42:00Z",
  "modifiedTimestamp": "2026-05-04T09:42:00Z",
  "culture": "string",
  "number": "string",
  "mlsNumber": "string",
  "statusCode": "string",
  "classCode": "string",
  "name": "string",
  "addressStreetNumber": "string",
  "addressStreetName": "string",
  "addressStreetDirection": "string",
  "addressUnitNumber": "string",
  "addressCity": "string",
  "addressProvinceCode": "string",
  "addressPostalCode": "string",
  "addressCountryCode": "string",
  "offerDate": "2026-05-04",
  "closeDate": "2026-05-04",
  "entryDate": "2026-05-04",
  "finalizeDate": "2026-05-04",
  "firmDate": "2026-05-04",
  "closePrice": 42.0,
  "legalDescription": "string",
  "classification": {
    "id": "string",
    "createdTimestamp": "2026-05-04T09:42:00Z",
    "modifiedTimestamp": "2026-05-04T09:42:00Z",
    "code": "string",
    "name": "string",
    "endTypeCode": "string",
    "endCount": "string"
  },
  "propertyType": {
    "id": "string",
    "createdTimestamp": "2026-05-04T09:42:00Z",
    "modifiedTimestamp": "2026-05-04T09:42:00Z",
    "code": "string",
    "name": "string",
    "shortName": "string",
    "classCode": "string"
  },
  "businessContacts": [],
  "client-contacts": [],
  "conditions": [],
  "deposits": [],
  "externalAgents": [],
  "tiers": []
}
Response examples (404)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}